Package Details: byobu 5.130-1

Git Clone URL: https://aur.archlinux.org/byobu.git (read-only, click to copy)
Package Base: byobu
Description: Enhanced profile and useful notifications for tmux/screen
Upstream URL: https://launchpad.net/byobu
Licenses: GPL3
Submitter: Huulivoide
Maintainer: dlandau (cyveris)
Last Packager: cyveris
Votes: 307
Popularity: 3.10
First Submitted: 2009-07-14 20:20
Last Updated: 2019-12-11 14:05

Latest Comments

« First ‹ Previous ... 3 4 5 6 7 8 9 10 Next › Last »

zorun commented on 2011-12-29 09:26

Sorry, I forgot to remove that file.

It should work fine now.

Athma commented on 2011-12-29 02:33

I tried updating byobu from version 4.46-1 to the latest (5.0-1) just now but I get an error:

make[1]: Entering directory `/tmp/yaourt-tmp-athma/aur-byobu/src/byobu-5.0'
make[2]: Entering directory `/tmp/yaourt-tmp-athma/aur-byobu/src/byobu-5.0'
make[2]: Nothing to be done for `install-exec-am'.
make[2]: Nothing to be done for `install-data-am'.
make[2]: Leaving directory `/tmp/yaourt-tmp-athma/aur-byobu/src/byobu-5.0'
make[1]: Leaving directory `/tmp/yaourt-tmp-athma/aur-byobu/src/byobu-5.0'
install: cannot stat `/tmp/yaourt-tmp-athma/aur-byobu/src/status': No such file or directory
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build byobu.

What can I do to solve this?

jonyamo commented on 2011-12-20 03:45

Installing screen-git from AUR solves the hardstatus color issue.

zorun commented on 2011-11-24 15:34

Err, upstream has disabled color notifications for everybody except debian and ubuntu, due to a bug in screen that is patched in debian/ubuntu.
This is dumb because it also disable color under tmux...

If you run into such an issue, change MONOCHROME to 0 in ".config/byobu/color" (or ".byobu/color" depending on your config)

zorun commented on 2011-10-26 19:51

Upgraded to 4.44.

This is a major upgrade, as tmux is now the default backend.
The notifications should also be much more hard-drive friendly, since the cache is now in /dev/shm.

See the post_install message for further informations.

zorun commented on 2011-08-25 00:07

As stated by the post-install advice, *check your config*! You should delete or move ~/.config/byobu/status (or whatever the path might be if you're not using XDG) as the format has changed.

Also, don't try to upgrade from inside byobu ;)

zorun commented on 2011-07-21 07:16

@jjj137: thanks for the tip, I hadn't tried to upgrade byobu from byobu ;)

4.20 is out, I'll keep the package up-to-date when I'm back from holidays.

ivenvd commented on 2011-06-29 16:43

Tip: Don't update this when byobu running, or byobu will crash and update will fail.

zorun commented on 2011-05-26 14:08

Looks like upstream is moving very fast...
They released 4.1, 4.2, 4.3 then 4.4 in only a couple of days.

I think I'll wait a few days before upgrading; there are a lot of new features, some of them untested.

zorun commented on 2011-04-22 22:35

Updated to 3.33

The PKGBUILD now makes use of the auto-tools stuff.
Since the locales are not being installed by a `make install', and since by installing them by hand, they don't seem to get used, I dropped them from the package.

In case someone was actually using the locales (you definitely have to tell me how you managed to get them working!), I'll put them back.